---
title: Changelog
--- 

## 4.0.0.0 - (2020-04-29)

** Hinweis für kleinere Versions-Upgrades: Es gibt einige rückwärts-inkompatible Änderungen an dieser Version. **

** Mit dieser Modulversion wurde das InvoicePDF-Modul aus den Anforderungen des Auftragsmanagers entfernt. Das PDF-Modul wird weitherin unterstützt, ist jedoch keine Bedingung mehr. Wenn das PDF-Modul benötigt wird, kann es mit `php composer require oxid-projects/pdf-invoice-module` wieder zur Installation hinzugefügt werden. **

### Added
- Kompatibilität zu OXID 6.2 hergestellt
- Tests vervollständigt
- Sonderzeichen in Demoprofilen werden passend dargestellt

### Changed
- InvoicePDF-Modul aus den Requirements entfernt

---

## 3.2.0.3 - (2020-04-24)
### Changed
- Demoprofile werden nicht pauschal im ersten Shopmandanten installiert, sondern im 1. Mandanten mit aktiviertem Modul

### Fixed
- Verwendung des Core-Tabellennamens gegen Viewnamen getauscht 
- fehlende Einträge im Fileregister nachgetragen
- exportiertes Rechnungs-/Lieferschein-PDF zeigt Logo

---

## 3.2.0.2 - (2020-04-21)
### Changed
- Abhängigkeit von Metapackage zu Core-Shop für Installationen ohne Metapackage geändert
- Einstellungsprüfungen für PDF-Generierung ergänzt
- zeigt nur die Anzahl der Cronjobaufgaben, die auch für Cronjobausführung aktiviert sind

### Fixed
- Dateisystem-Klassen als "nicht geteilt" markiert für Mehrfachzugriffe mit unterschiedlichen Parametern 
- QueryGenerator-Aufrufe korrigiert
- verwendet subshopabhängigen View-Tabellennamen

---

## 3.2.0.1 - (2020-03-19)
### Fixed
- Mails aus HTML-Vorlagen werden in der Sprache generiert, in der die Bestellung aufgegeben wurde 

---

## 3.2.0.0 - (2019-12-10)
### Added
- bearbeitbare E-Mails haben nun einen WYSIWYG-Editor, wenn einer im Shop installiert ist
- Selectlisten sind nun alphabetisch sortiert (Payments, Deliveries, Countries, Groups)
- Mail-Editor kann aus HTML-Inhalt automatisch Plain generieren (für jeden Fall einstellbar)
- CLI-Aufrufe erfolgen nun über entsprechendes Framework -> optimiertes Handling
- Cron-Aufrufe können über ./vendor/bin/d3_ordermanager_cron gestartet werden, alte Aufrufe sind weiterhin möglich
- verkürzter Cron-Pfad wird auch im Admin gezeigt

### Changed
- Tests angepasst
- Workaround für früher fehlenden TPL-Block entfernt

### Fixed
- History-Einträge aus Mailversand verwendet manuell bearbeite Mailinhalte, wenn diese angepasst wurden
- History-Einträge werden in jeder verfügbaren Empfänger-Konstellation angelegt
- Fehler im Aufgabenfilter der Adminansicht korrigiert

---

## 3.1.1.0 - (2019-10-21)
### Added
- Trigger-Dokumentation ergänzt
- neue Templateblöcke für die Templates der Bedingungen und Aktionen eingefügt
- PDF-Typen und PDF-Aktionen als Konstanten definiert
- UnitTests ergänzt

### Changed
- HelpCenter Link aktualisiert
- d3modprofile::oxupdate als Nicht-Multilang-Feld definiert

---

## 3.1.0.0 - (2019-07-08)
### Added
- neue Auslöser "onOrderSave" und "onOrderFinalize"
- alle Auslöser haben eine "pre execute script"- und "post execute script"-Option (nicht in allen Moduleditionen verfügbar)
- Basisbeschreibung für jede Adminseite eingefügt
- "verfügbar für manuelle Ausführung" kann nun optional auch die erfüllten Bedingungen prüfen - Aufgabe steht bei unpassenden Bedingungen dann nicht an Bestellung zur Verfügung
- ergänzende Tests hinzugefügt

### Changed
- Adminbereich optimiert - alle Auslöser in eigenen Tab ausgelagert
- Bootstrap-Locator für zukünftige Verwendung des globalen bin-Verzeichnisses angepasst

### Fixed
- HTML-Struktur der Admin-Templates korrigiert
- zu wenig isoliert laufende Unit-Tests angepasst

---

## 3.0.2.0 - (2019-05-07)
### Added
- automatisierte Tests (Unit Tests, Integration Tests) integriert
- statt absoluter Instanzdefinition werden DIC Services verwendet

---

## 3.0.1.0 - (2019-02-27)
### Added
- beim Speichern der Aktionen wird auf unzureichend ausgefüllte Werte hingewiesen
- beim Speichern der Bedingungen wird auf unzureichend ausgefüllte Werte hingewiesen

---

## 3.0.0.0 - (2017-12-15)

**Minor version upgrade notice: there are some backward-incompatible changes to this release.**

### Added
- Installation via Composer

### Changed
- für OXID6 umgearbeitet
- Dezimalangaben in Einstellungen werden auch mit Komma richtig verarbeitet
- Exporttemplates können aus einstellbaren Pfaden geholt werden

---

## [2.3.4.0] - (2017-05-19)
- Admin-Layout für Shopversion 4.10/5.3 optimiert
- Menü-Icon hinzugefügt
- Seitentitel optimiert
- Hintergrund-Logo entfernt
- Apache 2.4-Kompatibilität eingefügt
- veraltetet Methodenaufrufe ersetzt
- changed_full-Inhalte entfernt

---

## [2.3.3.0] (2016-03-14)
- "gefundene Bestellungen ohne Bearbeitung als erledigt markieren"-Funktion eingefügt
- Bedingungen "Prüfung des Ausführungsstatus einer anderen Aufgabe" eingefügt
- Installation konvertiert Beispiele nach UTF8
- Zeitstempel-Ersetzung optimiert
- Dokumentation überarbeitet
- Installationsscript verschoben

---

## [2.3.2.1] (2015-03-25)
- PDF-Generierung verwendet Sprachbausteine aus Adminbereich
- Performance: Statistikabfragen optimiert
- Performance: Statistikauswertungen können einzeln abgefragt werden
- Installation: nicht mehrsprachige Datenfelder werden bei Konvertierung von Alteinträgen nur einsprachig übertragen
- Rechnungsdatum wird nicht vordatiert
- Format des Rechnungsdatums angepasst
- E-Mail CMS Text wird in Sprache der Bestellung ausgeliefert

---

## [2.3.2.0] (2015-01-16)
- Maildaten werden aus Bestellung bezogen, wenn Kundenkonto nicht mehr verfügbar ist
- Optimierung für Multilang-Tabellen integriert
- zu bearbeitende Bestellung wird separat (außerhalb der orderlist) geladen, sind sonst unvollständig
- einzelne Modprofile-Felder von Multilang-Speicherung ausgeschlossen, da Aufgaben nicht sprachabhängig ausgeführt werden können
- Artikelselektion nach Kategorie ist nun auch auf Variantenartikel anwendbar, die selbst keiner Kategorie zugeordnet sind
- Prüfung auf unregistrierte Dateien eingefügt

---

## [2.3.1.0] (2014-12-09)
- SH-Generator integriert
- fehlende Kompatibilität für OXID 4.7.x nachgerüstet
- Cronjob-ID für Shellaufrufe nachgetragen
- Warenkorb-Handling für Mailversand optimiert

---

## [2.3.0.0] (2014-11-13)
- OXID 4.9 / 5.2 Installationsanweisungen eingefügt
- Cronjob-ID für gezieltere Aufgabenaufrufe integriert
- Remark- und Info-Handling optimiert
- alternative From- und Reply-Adresse in Mailsendeaktion integriert
- Templatequelle für Mailsendeaktion kann nun auch ein Modulverzeichnis sein
- Templatestruktur bereinigt

---

## [2.1.1.0] (2014-07-23)
- bei nicht ausführbaren Bedingungen / Aktionen wird Protokoll-Eintrag geschrieben
- Performance-Verbesserungen integriert

---

## 1.5.0 (2014-07-09)

---

## 1.4.0 (2014-07-01)

---

## [2.1.0.1] (2014-05-21)
- "Auftrag manuell ausführbar"-Option korrigiert
- Cronjob-Hinweise werden zusätzlich im Browser ausgegeben

---

## [2.1.0.0] (2014-05-06)
- Verwendung von allgemeinen Modulprofilen anstatt eigener Profile
- Listenexport eingefügt
- Individualmethoden eingefügt
- neues Lizenzschema umgesetzt

---

## 2.0.0.0 (2013-03-21)

**Minor version upgrade notice: there are some backward-incompatible changes to this release.**

- Anpassung auf OXID 4.7.X / 5.0.X
- Generieren von PDF-Dateien

---

## 1.3.0 (2012-08-08)
- Mailsubject wird aus Template generiert
- Bestelldaten enthalten optional auch stornierte Artikel
- Prüfung auf leere Bestelleinträge möglich
- fehlende "isBundle"-Methode in alten Shopversionen berücksichtigt
- Mailtemplates können aus Frontend- oder Backend-Theme geholt werden
- Benutzerinformationen werden aus Bestelldaten verwendet (nicht von User-Daten)

---

## 1.2.0 (2012-06-22)
- EE-Multishop-Funktionalität
- Cronjob verwendet "Aktiv"-Flag
- Hook für Mailprogrammierungen eingefügt
- Smarty-Variablen für Verwendung der originalen Bestellbestätigungsmails vervollständigt

---

## 1.1.0 (2012-03-19)
- Mailvariablen hingefügt
- Templates auf 4.5.11 geprüft

---

## 1.1.0 (2012-01-29)

[2.3.4.0]: https://blog.oxidmodule.com/archives/651-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.3.4.0.html
[2.3.3.0]: https://blog.oxidmodule.com/archives/589-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.3.3.0.html
[2.3.2.1]: https://blog.oxidmodule.com/archives/504-Neuer-Patch-fuer-Modul-Auftragsmanager-auf-Version-2.3.2.1.html
[2.3.2.0]: https://blog.oxidmodule.com/archives/493-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.3.2.0.html
[2.3.1.0]: https://blog.oxidmodule.com/archives/488-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.3.1.0.html
[2.3.0.0]: https://blog.oxidmodule.com/archives/476-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.3.0.0.html
[2.1.1.0]: https://blog.oxidmodule.com/archives/431-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.1.1.0.html
[2.1.0.1]: https://blog.oxidmodule.com/archives/414-Neuer-Patch-fuer-Modul-Auftragsmanager-auf-Version-2.1.0.1.html
[2.1.0.0]: https://blog.oxidmodule.com/archives/411-Neues-Update-fuer-Modul-Auftragsmanager-auf-Version-2.1.0.0.html
